{
  "name": "hw-6",
  "version": "1.0.0",
  "private": true,
  "description": "",
  "main": "index.js",
  "author": "Olga Novyk",
  "dependencies": {
    "@redux-devtools/extension": "^3.3.0",
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "formik": "^2.4.5",
    "jest-css-modules-transform": "^4.4.2",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-icons": "^4.12.0",
    "react-number-format": "^5.3.1",
    "react-redux": "^9.0.4",
    "react-router-dom": "^6.21.1",
    "react-scripts": "^5.0.1",
    "redux": "^5.0.1",
    "redux-thunk": "^3.1.0",
    "web-vitals": "^2.1.4",
    "yup": "^1.3.3"
  },
  "scripts": {
    "start": "react-scripts start",
    "prebuild": "rimraf node_modules",
    "build": "react-scripts build",
    "test": "react-scripts test --watchAll=false",
    "test-c": "react-scripts test --watchAll=false --coverage",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ],
    "plugins": [
      "react-hooks"
    ],
    "rules": {
      "react-hooks/rules-of-hooks": "error",
      "react-hooks/exhaustive-deps": "warn"
    }
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/core": "^7.23.6",
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@babel/plugin-transform-private-property-in-object": "^7.23.4",
    "@babel/preset-env": "^7.23.6",
    "@babel/preset-react": "^7.23.3",
    "@testing-library/react-hooks": "^8.0.1",
    "babel-jest": "^29.7.0",
    "babel-loader": "^9.1.3",
    "css-loader": "^6.8.1",
    "eslint-plugin-react-hooks": "^4.6.0",
    "html-loader": "^4.2.0",
    "html-webpack-plugin": "^5.5.4",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^27.5.1",
    "jest-localstorage-mock": "^2.4.26",
    "mini-css-extract-plugin": "^2.7.6",
    "redux-mock-store": "^1.5.4",
    "rimraf": "^5.0.5",
    "sass": "^1.69.5",
    "sass-loader": "^13.3.2",
    "webpack": "^5.89.0",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.7.3"
  }
}
